Skip to main content
GET
/
flows
/
{org}
List flows
curl --request GET \
  --url https://app.kosli.com/api/v2/flows/{org} \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "org": "<string>",
      "template": "<unknown>",
      "repo_url": "<string>",
      "tags": null
    }
  ],
  "pagination": {
    "total": 123,
    "page": 123,
    "per_page": 123,
    "page_count": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org
string
required

Query Parameters

search_by_name
string | null

Return flows that contain the given string in their name. Only alphanumeric characters and '-' are allowed.

case_sensitive
boolean
default:true

Whether the search_by_name filter is case sensitive. Defaults to true.

page
integer | null
default:1

The page number of response

Required range: x >= 1
per_page
integer | null

How many results to return per page. When omitted, all flows are returned as a plain list (no pagination envelope).

Required range: 1 <= x <= 100

Response

200 - application/json

Successful Response

Response model for listing flows with pagination.

When pagination is not requested, the endpoint returns a list of flows directly (backwards compatible with the CLI). When pagination is requested, it returns data with optional pagination info.

data
FlowList · object[]
required

List of flows

pagination
ListFlowsPagination · object | null

Pagination info (only present when there are multiple pages)

Last modified on July 3, 2026